CREATE OR REPLACE VIEW vw_sales_order 
AS 
SELECT
	tbl_sales_order.int_sales_order_id,
	tbl_sales_order.dt_transaction,
	tbl_sales_order.int_number,
	tbl_sales_order.txt_formatted_number,
	tbl_sales_order.int_party_id,
	tbl_parties.txt_name AS party_name,
	tbl_parties.txt_short_name AS party_short_name,
	tbl_parties.txt_contact_person AS party_contact_person,
	tbl_parties.txt_address AS party_address,
	tbl_parties.txt_city AS party_city,
	tbl_parties.txt_mobile AS party_mobile,
	tbl_parties.txt_mobile_whatsapp AS party_whatsapp,
	tbl_parties.txt_email AS party_email,
	tbl_parties.txt_gstn AS party_gstn,
	tbl_parties.txt_pan AS party_pan,
	tbl_sales_order.int_product_id,
	tbl_products.txt_product_name AS product_name,
	tbl_products.txt_hsn_code AS hsn_code,
	tbl_sales_order.dec_rate,
	tbl_sales_order.dec_total_weight,
	tbl_sales_order.dec_total_product_value,
	tbl_sales_order.dec_total_freight_value,
	tbl_sales_order.dec_total_tax_value,
	tbl_sales_order.txt_remarks,
	tbl_sales_order.int_by_user_id,
	tbl_users.txt_name AS by_user_name,
	tbl_sales_order.dat_created,
	tbl_sales_order.dat_modified
FROM
	tbl_sales_order
	LEFT JOIN tbl_parties ON (tbl_sales_order.int_party_id = tbl_parties.int_party_id)
	LEFT JOIN tbl_products ON (tbl_sales_order.int_product_id = tbl_products.int_product_id)
	LEFT JOIN tbl_users ON (tbl_sales_order.int_by_user_id = tbl_users.int_user_id);
