CREATE OR REPLACE VIEW vw_stock_movement 
AS 
SELECT
	tbl_stock_movement.int_stock_movement_id,
	tbl_stock_movement.dat_transaction,
	tbl_stock_movement.int_product_id,
	tbl_products.txt_product_name AS product_name,
	tbl_products.txt_hsn_code AS product_hsn_code,
	tbl_stock_movement.dec_quantity,
	tbl_stock_movement.int_source_opening_id,
	tbl_stock_movement.int_source_purchase_id,
	source_purchase.dat_transaction AS purchase_date,
	source_purchase.txt_formatted_number AS src_purc_no,
	source_purchase.txt_party_document_no AS src_purc_party_doc_no,
	source_purchase.txt_remarks AS src_purc_remarks,
	tbl_stock_movement.int_source_storage_unit_id,
	source_storage.txt_storage AS src_storage,
	tbl_stock_movement.int_source_production_id,
	source_production.txt_batch_no AS src_batch_no,
	source_production.txt_remarks AS src_production_remaks,
	tbl_stock_movement.txt_source_drum_tag AS src_drum_tag,
	tbl_stock_movement.int_target_opening_id,
	tbl_stock_movement.int_target_purchase_id,
	target_purchase.txt_formatted_number AS tar_purc_no,
	target_purchase.txt_party_document_no AS tar_purc_party_doc_no,
	target_purchase.txt_remarks AS tar_purc_remarks,
	tbl_stock_movement.int_target_sales_order_id,
	tbl_sales_order.txt_formatted_number AS sales_order_no,
	tbl_sales_order.txt_remarks AS sales_order_remarks,
	tbl_stock_movement.int_target_storage_unit_id,
	target_storage.txt_storage AS tar_storage,
	tbl_stock_movement.int_target_production_id,
	target_production.txt_batch_no AS tar_batch_no,
	target_production.txt_remarks AS tar_production_remaks,
	tbl_stock_movement.txt_target_drum_tag AS tar_drum_tag,
	tbl_stock_movement.txt_remarks AS stock_move_remarks,
	tbl_stock_movement.int_verified,
	tbl_stock_movement.int_by_user_id,
	tbl_users.txt_name AS user_txt_name,
	tbl_stock_movement.dat_created,
	tbl_stock_movement.dat_modified
FROM
	tbl_stock_movement
	LEFT JOIN tbl_products ON (tbl_stock_movement.int_product_id = tbl_products.int_product_id)
	LEFT JOIN tbl_opening as source_opening ON (tbl_stock_movement.int_source_opening_id = source_opening.int_opening_id)
	LEFT JOIN tbl_purchase_order as source_purchase ON (tbl_stock_movement.int_source_purchase_id = source_purchase.int_purchase_order_id)
	LEFT JOIN tbl_storage_units as source_storage ON (tbl_stock_movement.int_source_storage_unit_id = source_storage.int_storage_unit_id)
	LEFT JOIN tbl_production as source_production ON (tbl_stock_movement.int_source_production_id = source_production.int_production_id)
	LEFT JOIN tbl_opening as target_opening ON (tbl_stock_movement.int_target_opening_id = target_opening.int_opening_id)
	LEFT JOIN tbl_purchase_order as target_purchase ON (tbl_stock_movement.int_target_purchase_id = target_purchase.int_purchase_order_id)
	LEFT JOIN tbl_sales_order ON (tbl_stock_movement.int_target_sales_order_id = tbl_sales_order.int_sales_order_id)
	LEFT JOIN tbl_storage_units as target_storage ON (tbl_stock_movement.int_target_storage_unit_id = target_storage.int_storage_unit_id)
	LEFT JOIN tbl_production as target_production ON (tbl_stock_movement.int_target_production_id = target_production.int_production_id)
	LEFT JOIN tbl_users ON (tbl_stock_movement.int_by_user_id = tbl_users.int_user_id);
